Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.mif
Class PGFElement

    java.lang.Object
      org.apache.fop.render.mif.MIFElement
          org.apache.fop.render.mif.RefElement
              org.apache.fop.render.mif.PGFElement

public class PGFElement
extends RefElement

Font Catalog element. This is the reference lookup element for fonts in the MIF document.

Field Summary

Fields inherited from class org.apache.fop.render.mif.MIFElement
`finish, finished, name, started, valueElements, valueStr`

Constructor Summary
`PGFElement()` Creates a new font catalog element.

Method Summary
`MIFElement` | `lookupElement(java.lang.Object key)`

Methods inherited from class org.apache.fop.render.mif.MIFElement
`addElement, finish, output, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGFElement

    public PGFElement()

  Creates a new font catalog element.

Method Detail

### lookupElement

    public MIFElement lookupElement(java.lang.Object key)

  Overrides:
    `lookupElement` in class `RefElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.